@echo off
echo This program modifies the car depending on your selections.
echo For this car, the following are available:
echo -Physics changes
echo -> Real physics (can be difficult to handle with keyboards)
echo -> Fun physics
echo -Colour changes
echo -Model changes
echo.
echo Choose a model:
echo.
echo 1) Carmageddon Cop
echo 2) Normal Cop
echo 3) Carmageddon Racer
echo 4) Stock version
echo 5) Convertible stock version
echo 6) Exit program without any changes
echo.
choice /C:123456 "    "
if errorlevel 6 goto BeSelf
if errorlevel 5 goto Convertible
if errorlevel 4 goto Stock
if errorlevel 3 goto CarmaRacer
if errorlevel 2 goto Cop
goto CarmaCop





:Convertible
copy mods\models\convertible\c2ssmo.*
cls
echo Which physics would you like to use for the convertible?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealConvertible
copy mods\models\convertible\fun.txt c2ssmo.txt
goto Colour
:ARealConvertible
copy mods\models\convertible\real.txt c2ssmo.txt
goto Colour


:Stock
copy mods\models\stockcar\c2ssmo.*
cls
echo Which physics would you like to use for the stock version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto BRealStock
copy mods\models\stockcar\fun.txt c2ssmo.txt
goto Colour
:BRealStock
copy mods\models\stockcar\real.txt c2ssmo.txt
goto Colour


:CarmaRacer
copy mods\models\carmaracer\c2ssmo.*
cls
echo Which physics would you like to use for the Carma racer's car?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto CRealCarmaRacer
copy mods\models\carmaracer\fun.txt c2ssmo.txt
goto Colour
:CRealCarmaRacer
copy mods\models\carmaracer\real.txt c2ssmo.txt
goto Colour


:Cop
copy mods\models\cop\c2ssmo.*
cls
echo Which physics would you like to use for the normal cop car?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto DRealCop
copy mods\models\cop\fun.txt c2ssmo.txt
goto Exit
:DRealCop
copy mods\models\cop\real.txt c2ssmo.txt
goto Exit


:CarmaCop
copy mods\models\carmacop\c2ssmo.*
cls
echo Which physics would you like to use for the Carma cop car?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ERealCarmaCop
copy mods\models\carmacop\fun.txt c2ssmo.txt
goto Exit
:ERealCarmaCop
copy mods\models\carmacop\real.txt c2ssmo.txt
goto Exit





:Colour
cls
echo Choose a colour:
echo.
echo 1) Black
echo 2) Brown
echo 3) Dark Blue
echo 4) Dark Green
echo 5) Light Blue
echo 6) Red
echo 7) Silver
echo 8) White
echo 9) Yellow
echo.
choice /C:123456789 " "
if errorlevel 9 goto Yellow
if errorlevel 8 goto White
if errorlevel 7 goto Silver
if errorlevel 6 goto Red
if errorlevel 5 goto LightBlue
if errorlevel 4 goto DarkGreen
if errorlevel 3 goto DarkBlue
if errorlevel 2 goto Brown
goto Black





:Yellow
copy mods\colours\yellow\C2SSMO.mat
goto Exit

:White
copy mods\colours\white\C2SSMO.mat
goto Exit

:Silver
copy mods\colours\silver\C2SSMO.mat
goto Exit

:Red
copy mods\colours\red\C2SSMO.mat
goto Exit

:LightBlue
copy mods\colours\lightblue\C2SSMO.mat
goto Exit

:DarkGreen
copy mods\colours\darkgreen\C2SSMO.mat
goto Exit

:DarkBlue
copy mods\colours\darkblue\C2SSMO.mat
goto Exit

:Brown
copy mods\colours\brown\C2SSMO.mat
goto Exit

:Black
copy mods\colours\black\C2SSMO.mat
goto Exit





:Exit
cls
echo Changes are made, program is ended.
exit


:BeSelf
cls
echo No changes made this time, program is ended.
exit